package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
class __V_ClassGlobSpec_addStrings {
  protected Collection c;
  public Collection get_c() { return c; }
  public void set_c(Collection new_c) { c = new_c; }
  public __V_ClassGlobSpec_addStrings() { super(); }
  public __V_ClassGlobSpec_addStrings(Collection c) {
    super();
    set_c(c);
  }
  public void before(AnyClass host) { c = null; }
  public void before(ClassName host) { if (c != null) c.add(host.toString()); }
  Collection get_return_val() { return c ; }
  public void start() {}
  public void finish() {}
  void universal_trv0_bef(UniversalVisitor _v_) {  }

  void universal_trv0_aft(UniversalVisitor _v_) {  }

  void universal_trv0(UniversalVisitor _v_) {
    universal_trv0_bef(_v_);
    universal_trv0_aft(_v_);
  }

}
